# Ads Object

> Source: https://truto.one/docs/api-reference/unified-ads-management-api/ads/

Schema for the `Ads` resource in **Unified Ads Management API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the ad.
- **`name`** _(string)_
  The name of the ad.
- **`type`** _(string)_
  The type of the ad
- **`status`** _(string)_
  The status of the ad.
  Allowed: `active`, `paused`, `deleted`, `archived`, `in_process`, `with_issues`, `campaign_paused`, `pending_review`, `disapproved`, `preapproved`, `pending_billing_info`, `adset_paused`
- **`account_id`** _(string)_
  The unique identifier for the account.
- **`ad_group_id`** _(string)_
  The unique identifier for the ad_group.
- **`campaign_id`** _(string)_
  The unique identifier for the campaign.
- **`labels`** _(array<object>)_
  The labels for the ad.
  - **`id`** _(string)_
    The unique identifier for the label.
  - **`name`** _(string)_
    The name of the label.
- **`schedule`** _(object)_
  The schedule for the ad.
  - **`end_time`** _(string)_
    The end time for the ad.
  - **`start_time`** _(string)_
    The start time for the ad.
- **`bid`** _(object)_
  The bid for the ad.
  - **`adjustments`** _(object)_
    The bid adjustments for the ad.
  - **`amount`** _(string)_
    The bid amount for the ad.
  - **`constraints`** _(object)_
    The bid constraints for the ad.
  - **`objective_values`** _(object)_
    The bid values for different objectives of the ad.
  - **`strategy`** _(object)_
    The bid strategy for the ad.
    - **`id`** _(string)_
      The unique identifier for the bid strategy.
    - **`name`** _(string)_
      The name of the bid strategy.
- **`conversion_domain`** _(string)_
  The conversion domain for the ad.
- **`creative`** _(object)_
  The creative for the ad.
- **`creative_id`** _(array<string>)_
  The unique identifier for the creative.
- **`issues`** _(array<object>)_
  The issues for the ad that prevented the ad from being delivered.
  - **`code`** _(string)_
    The code for the issue.
  - **`message`** _(string)_
    The error message for the issue.
  - **`description`** _(string)_
    The error summary for the issue.
  - **`level`** _(string)_
    The level for the issue.
  - **`type`** _(string)_
    The type for the issue.
- **`preview_url`** _(array<object>)_
  The preview URL for the ad.
  - **`url`** _(string)_
    The URL for the preview.
  - **`type`** _(string)_
    The type for the preview.
- **`tracking_specs`** _(array<object>)_
  The tracking specs for the ad.
- **`created_at`** _(string)_
  The date and time the ad was created.
- **`updated_at`** _(string)_
  The date and time the ad was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ads/ads](/docs/api-reference/unified-ads-management-api/ads/list) — List Ads
- [POST /unified/ads/ads](/docs/api-reference/unified-ads-management-api/ads/create) — Create Ads
- [GET /unified/ads/ads/{id}](/docs/api-reference/unified-ads-management-api/ads/get) — Get Ads
- [DELETE /unified/ads/ads/{id}](/docs/api-reference/unified-ads-management-api/ads/delete) — Delete Ads
- [PATCH /unified/ads/ads/{id}](/docs/api-reference/unified-ads-management-api/ads/update) — Update Ads
